summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorVladimir Cerny2015-06-12 18:40:45 +0200
committerVladimir Cerny2015-06-12 18:40:45 +0200
commit8098d447877d85a9a95d6b029c5ad612e0fa7559 (patch)
treec09001a1e4fecb3c6298425f781c08408dc91d2d
downloadaur-8098d447877d85a9a95d6b029c5ad612e0fa7559.tar.gz
migration from old aur
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD23
2 files changed, 38 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a792671ca99
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = asco
+ pkgdesc = A SPICE Circuit Optimizer.
+ pkgver = 0.4.9
+ pkgrel = 2
+ url = http://asco.sourceforge.net
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = glibc
+ conflicts = qucs
+ source = http://downloads.sourceforge.net/sourceforge/asco/ASCO-0.4.9.tar.gz
+ md5sums = a279c9ba155e66ef8ccaf5f130fa236d
+
+pkgname = asco
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c63b4028db0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Vladimir Cerny <blackvladimir@gmail.com>
+pkgname=asco
+pkgver=0.4.9
+pkgrel=2
+pkgdesc="A SPICE Circuit Optimizer."
+arch=('i686' 'x86_64')
+url="http://asco.sourceforge.net"
+license=('GPL')
+depends=(glibc)
+conflicts=('qucs')
+source=("http://downloads.sourceforge.net/sourceforge/asco/ASCO-$pkgver.tar.gz")
+md5sums=('a279c9ba155e66ef8ccaf5f130fa236d')
+
+build() {
+ cd "$srcdir/ASCO-$pkgver"
+
+ make || return 1
+}
+
+package(){
+ install -D $srcdir/ASCO-$pkgver/asco "$pkgdir/usr/bin/asco"
+}
+# vim:set ts=2 sw=2 et: